package cn.iocoder.yudao.module.system.dal.dataobject.houselocation;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 库位 DO
 *
 * @author 陈宾顺
 */
@TableName("ware_house_location")
@KeySequence("ware_house_location_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WareHouseLocationDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 巷道/线库id
     */
    private Long laneId;
    /**
     * 巷道/线库名称
     */
    private String laneName;
    /**
     * 库区id(自定义)
     */
    private Long areaId;
    /**
     * 库区名称
     */
    private String areaName;
    /**
     * 库位编号
     */
    private String locationNo;
    /**
     * 分组名称
     */
    private String groupName;
    /**
     * 弧度
     */
    private String locationYaw;
    /**
     * 物料信息
     */
    private String skuInfo;
    /**
     * 物料批次号
     */
    private String skuBatch;
    /**
     * 物料数量
     */
    private Long skuNumber;
    /**
     * 托盘消息
     */
    private String trayInfo;
    /**
     * 启用/禁用（0：禁用、1：启用）
     */
    private Integer locationEnable;
    /**
     * 锁定/正常（0：锁定、1：正常）
     */
    private Integer locationLock;
    /**
     * 状态（0：空闲、1：占用）
     */
    private Integer locationUseStatus;
    /**
     * 库位坐标x轴
     */
    private String locationX;
    /**
     * 库位坐标y轴
     */
    private String locationY;
    /**
     * 宽(库位上目前所放物品的宽)
     */
    private BigDecimal locationWide;
    /**
     * 深(库位上目前所放物品的深)
     */
    private BigDecimal locationDeep;
    /**
     * 高(库位上目前所放物品的高)
     */
    private BigDecimal locationHeight;
    /**
     * 库位默认高度(现场有水泥高出地面的高度)
     */
    private BigDecimal locationDefaultHeight;
    /**
     * 机车上报的高度/总高(如果两个箱子叠加，就是叠加后的总高度)
     */
    private BigDecimal locationTotalHeight;
    /**
     * 机车上报的托盘高度
     */
    private BigDecimal locationTrayHeight;
    /**
     * 层数
     */
    private Integer locationStorey;
    /**
     * 点位类型（0：库位、1：等待点、2：输送线取托盘点、3：出库放托盘点）
     */
    private Integer locationType;
    /**
     * 排序的位置,越大越优先堆放
     */
    private Long locationNumber;
    /**
     * 最后一次执行任务robot_task的id
     */
    private Long taskId;

}